using System;
using Intrepid.Core.Themes;
using UnityEngine;

namespace Intrepid.Gameplay.Themes
{
    [Serializable]
    public class UIActionBeltTheme : AbstractThemeRelated
    {
        private float Alpha { get; }

        public UIActionBeltTheme(Palettes palettes, float alpha) : base(palettes)
        {
            Alpha = alpha;
        }

        public Color TextColor => Palettes.Bundle.Contrast.Text;
        public UIDialogMinimalTheme Local => new(Palettes);
        public UIDialogMinimalTheme Main => new(Palettes, Alpha);
        public UIDialogMinimalTheme Option => new(Palettes);
    }
}